Package org.eclipse.birt.chart.computation.withaxes

# Class SeriesRenderingHints

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.SeriesRenderingHints

All Implemented Interfaces:
  `ISeriesRenderingHints`

public final class SeriesRenderingHints extends Object implements ISeriesRenderingHints
SeriesRenderingHints

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.render.ISeriesRenderingHints

`ANCILLARY_EMPTY, BASE_ANCILLARY_IN_SYNC, BASE_ANCILLARY_OUT_OF_SYNC, BASE_EMPTY, BASE_ORTHOGONAL_IN_SYNC, BASE_ORTHOGONAL_OUT_OF_SYNC, ORTHOGONAL_EMPTY, UNDEFINED`

## Constructor Summary

Constructors
Constructor
Description
`SeriesRenderingHints(PlotWith2DAxes _pwa, double _dAxisLocation, double _dPlotBaseLocation, double _dZeroLocation, double _dSeriesThickness, AxisTickCoordinates _daTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, StackedSeriesLookup _ssl, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getAxisLocation()`
`DataSetIterator`
`getBaseDataSet()`
`Bounds`
`getClientAreaBounds(boolean bReduceByInsets)`
Returns client area bounds for current series.
`DataPointHints[]`
`getDataPoints()`
`int`
`getDataSetStructure()`
`Label`
`getLabelAttributes(Series se)`
`Position`
`getLabelPosition(Series se)`
`double`
`getLocationOnOrthogonal(Object oValue)`
`DataSetIterator`
`getOrthogonalDataSet()`
`AutoScale`
`getOrthogonalScale()`
Returns Orthogonal axis's AutoScale object.
`double`
`getPlotBaseLocation()`
`double`
`getSeriesThickness()`
`StackedSeriesLookup`
`getStackedSeriesLookup()`
`AxisTickCoordinates`
`getTickCoordinates()`
`double`
`getZeroLocation()`
`boolean`
`isCategoryScale()`
`void`
`setClientAreaBounds(Bounds bounds)`
Set client area bounds for current series.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SeriesRenderingHints

public SeriesRenderingHints(PlotWith2DAxes _pwa, double _dAxisLocation, double _dPlotBaseLocation, double _dZeroLocation, double _dSeriesThickness, AxisTickCoordinates _daTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, StackedSeriesLookup _ssl, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal)

Parameters:
  `_dAxisLocation` -
  `_dZeroLocation` -
  `_daTickCoordinates` -
  `_dpa` -

## Method Details

### getAxisLocation

public double getAxisLocation()

Returns:
  The location (if vertical, then horizontal co-ordinate; if horizontal, then vertical co-ordinate) of the category axis used in the plot

### getZeroLocation

public double getZeroLocation()

Returns:
  The location (if vertical, then horizontal co-ordinate; if horizontal, then vertical co-ordinate) of zero along the primary orthogonal (value) axis used in the plot

### getLocationOnOrthogonal

public double getLocationOnOrthogonal(Object oValue) throws ChartException, IllegalArgumentException

Parameters:
  `oValue` - The value for which a rendering co-ordinate is being requested for
Returns:
  The co-ordinate on the scale that corresponds to the requested value
Throws:
  `ChartException`
  `IllegalArgumentException`

### getPlotBaseLocation

public double getPlotBaseLocation()

Returns:

### getSeriesThickness

public double getSeriesThickness()

Returns:
  The thickness of the series element to be rendered in a 2.5D or 3D plot

### getTickCoordinates

public AxisTickCoordinates getTickCoordinates()

Returns:
  The ticks' co-ordinates specified as a values along a horizontal or vertical category axis. The other fixed co-ordinate is obtained via the axis location.

### getDataPoints

public DataPointHints[] getDataPoints()

Specified by:
  `getDataPoints` in interface `ISeriesRenderingHints`
Returns:
  Detailed plotting information for the data points represented by the series rendering
See Also:
  - `DataPointHints`

### isCategoryScale

public boolean isCategoryScale()

Returns:

### getStackedSeriesLookup

public StackedSeriesLookup getStackedSeriesLookup()

Returns:

### getLabelPosition

public Position getLabelPosition(Series se) throws ChartException, IllegalArgumentException

Parameters:
  `se` -
Returns:
Throws:
  `ChartException`
  `IllegalArgumentException`

### getLabelAttributes

public Label getLabelAttributes(Series se) throws IllegalArgumentException

Parameters:
  `se` -
Returns:
Throws:
  `IllegalArgumentException`

### getClientAreaBounds

public Bounds getClientAreaBounds(boolean bReduceByInsets)
Returns client area bounds for current series.

Specified by:
  `getClientAreaBounds` in interface `ISeriesRenderingHints`
Parameters:
  `bReduceByInsets` -
Returns:

### setClientAreaBounds

public void setClientAreaBounds(Bounds bounds)
Set client area bounds for current series.

Parameters:
  `bounds` -

### getDataSetStructure

public int getDataSetStructure()

Specified by:
  `getDataSetStructure` in interface `ISeriesRenderingHints`
Returns:
  Returns the dataset structure state of current series rendering hints. The value could be one of these defined in this interface:
  - `ISeriesRenderingHints.BASE_ORTHOGONAL_IN_SYNC`
  - `ISeriesRenderingHints.BASE_ORTHOGONAL_OUT_OF_SYNC`
  - `ISeriesRenderingHints.BASE_ANCILLARY_IN_SYNC`
  - `ISeriesRenderingHints.BASE_ANCILLARY_OUT_OF_SYNC`
  - `ISeriesRenderingHints.BASE_EMPTY`
  - `ISeriesRenderingHints.ORTHOGONAL_EMPTY`
  - `ISeriesRenderingHints.ANCILLARY_EMPTY`
  - `ISeriesRenderingHints.UNDEFINED`

### getBaseDataSet

public DataSetIterator getBaseDataSet()

Specified by:
  `getBaseDataSet` in interface `ISeriesRenderingHints`
Returns:
  Returns the dataset bound to base series.

### getOrthogonalDataSet

public DataSetIterator getOrthogonalDataSet()

Specified by:
  `getOrthogonalDataSet` in interface `ISeriesRenderingHints`
Returns:
  Returns the dataset bound to orthogonal series.

### getOrthogonalScale

public AutoScale getOrthogonalScale()
Returns Orthogonal axis's AutoScale object.

Returns:
Since:
  2.5